YouTube videos display green

RESOLVED DUPLICATE of bug 1409141

Status

()

P2
normal
RESOLVED DUPLICATE of bug 1409141
a year ago
5 months ago

People

(Reporter: frederic.s.bayer, Unassigned)

Tracking

56 Branch
Points:
---

Firefox Tracking Flags

(firefox56 affected, firefox57 affected, firefox58 affected)

Details

(Whiteboard: [gfx-noted])

Attachments

(1 attachment)

(Reporter)

Description

a year ago
Created attachment 8915776 [details]
Capture 1.PNG

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:56.0) Gecko/20100101 Firefox/56.0
Build ID: 20170926190823

Steps to reproduce:

Restarted Firefox, this resulted in an update installing, after the update all YouTube videos started playing back in green, with no actual video showing. The issue is not on YouTube's side, as using their troubleshooting feature generates a normal screenshot of the actual video at the relevant time index, but actual playback itself will still depict only green. Audio playback is normal. HTML5 videos on other sites work normally, as do Adobe Flash videos.

Retried with all addons disabled and with Nightly, no success. Intel Graphics Driver is up to date, Windows 7 is fully updated, the video playback works perfectly in Internet Explorer. Tried setting colour to 16 bit (from 32 bit), no effect. Restarted computer, no effect.


Actual results:

All YouTube videos display only green.


Expected results:

YouTube videos should play actual content.
Please make sure your graphics driver is up-to-date: https://support.mozilla.org/kb/upgrade-graphics-drivers-use-hardware-acceleration
Component: Untriaged → Audio/Video: Playback
Product: Firefox → Core
(Reporter)

Comment 2

a year ago
(In reply to Kohei Yoshino [:kohei] from comment #1)
> Please make sure your graphics driver is up-to-date:
> https://support.mozilla.org/kb/upgrade-graphics-drivers-use-hardware-
> acceleration

As I said in the bug report, I already did so.

Comment 3

a year ago
can you please post your graphics section from about:support?
Flags: needinfo?(frederic.s.bayer)
See Also: → bug 1404456
It looks more related to gfx.
Component: Audio/Video: Playback → Graphics

Comment 5

a year ago
Confirmed on my computer with https://www.youtube.com/watch?v=OtwOz1GVkDg
The preview images in the time bar are displayed correctly.

User Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:58.0) Gecko/20100101 Firefox/58.0
Build ID: 20171008220130

Graphics section in about:support:
Graphics
Features
Compositing	Direct3D 11 (Advanced Layers)
Asynchronous Pan/Zoom	wheel input enabled; scrollbar drag enabled; keyboard enabled; autoscroll enabled
WebGL 1 Driver WSI Info	EGL_VENDOR: Google Inc. (adapter LUID: 000000000001b656)
EGL_VERSION: 1.4 (ANGLE 2.1.0.dec065540d5f)
EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource 
EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses 
WebGL 1 Driver Renderer	Google Inc. -- ANGLE (Intel(R) HD Graphics Family Direct3D11 vs_5_0 ps_5_0)
WebGL 1 Driver Version	OpenGL ES 2.0 (ANGLE 2.1.0.dec065540d5f)
WebGL 1 Driver Extensions	GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object 
WebGL 1 Extensions	ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_frag_depth EXT_sRGB EXT_shader_texture_lod EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_element_index_uint OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_s3tc WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context
WebGL 2 Driver WSI Info	EGL_VENDOR: Google Inc. (adapter LUID: 000000000001b656)
EGL_VERSION: 1.4 (ANGLE 2.1.0.dec065540d5f)
EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource 
EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses 
WebGL 2 Driver Renderer	Google Inc. -- ANGLE (Intel(R) HD Graphics Family Direct3D11 vs_5_0 ps_5_0)
WebGL 2 Driver Version	OpenGL ES 3.0 (ANGLE 2.1.0.dec065540d5f)
WebGL 2 Driver Extensions	GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_float GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_norm16 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_EGL_image_external_essl3 GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object 
WebGL 2 Extensions	EXT_color_buffer_float EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_texture_float_linear WEBGL_compressed_texture_s3tc WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context
Direct2D	true
Off Main Thread Painting Enabled	true
DirectWrite	true (6.2.9200.22164)
GPU #1
Active	Yes
Description	Intel(R) HD Graphics Family
Vendor ID	0x8086
Device ID	0x0a16
Driver Version	10.18.14.4029
Driver Date	11-18-2014
Drivers	igdumdim64 igd10iumd64 igd10iumd64 igdumdim32 igd10iumd32 igd10iumd32
Subsys ID	503c17aa
RAM	Unknown
Diagnostics
AzureCanvasAccelerated	0
AzureCanvasBackend	Direct2D 1.1
AzureCanvasBackend (UI Process)	skia
AzureContentBackend	Direct2D 1.1
AzureContentBackend (UI Process)	skia
AzureFallbackCanvasBackend (UI Process)	cairo
GPUProcessPid	1384
GPUProcess	
Device Reset	
failures	CP+[GFX1-]: [D2D1.1] 4CreateBitmap failure Size(154,16536) Code: 0x80070057 format 0
Decision Log
WEBRENDER	
opt-in by default: WebRender is an opt-in feature
ADVANCED_LAYERS	
available by user: Enabled for Windows 7 via user-preference
Workarounds
NO_CONSTANT_BUFFER_OFFSETTING	Unsupported by driver
Failure Log
(#0) 	CP+[GFX1-]: [D2D1.1] 4CreateBitmap failure Size(154,16536) Code: 0x80070057 format 0
(#1) 	CP+[GFX1-]: [D2D1.1] 4CreateBitmap failure Size(154,16536) Code: 0x80070057 format 0
(Reporter)

Comment 6

a year ago
(In reply to [:philipp] from comment #3)
> can you please post your graphics section from about:support?

Sure, here you go:

Graphics
Features
Compositing	Direct3D 11
Asynchronous Pan/Zoom	none
WebGL 1 Driver WSI Info	EGL_VENDOR: Google Inc. (adapter LUID: 000000000000777a)
EGL_VERSION: 1.4 (ANGLE 2.1.0.dec065540d5f)
EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource 
EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses 
WebGL 1 Driver Renderer	Google Inc. -- ANGLE (Intel(R) HD Graphics Family Direct3D9Ex vs_3_0 ps_3_0)
WebGL 1 Driver Version	OpenGL ES 2.0 (ANGLE 2.1.0.dec065540d5f)
WebGL 1 Driver Extensions	GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_pack_reverse_row_order GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_frag_depth GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_fence GL_NV_pack_subimage GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object 
WebGL 1 Extensions	ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_frag_depth EXT_shader_texture_lod EXT_texture_filter_anisotropic MOZ_debug OES_element_index_uint OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_s3tc WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_lose_context MOZ_WEBGL_lose_context MOZ_WEBGL_compressed_texture_s3tc MOZ_WEBGL_depth_texture
WebGL 2 Driver WSI Info	-
WebGL 2 Driver Renderer	WebGL creation failed: 
* Error during ANGLE OpenGL init.
* Error during ANGLE OpenGL init.
* Error during ANGLE OpenGL init.
* Error during ANGLE OpenGL init.
* Error during ANGLE OpenGL init.
* Exhausted GL driver caps.
WebGL 2 Driver Version	-
WebGL 2 Driver Extensions	-
WebGL 2 Extensions	-
Direct2D	Blocked for your graphics driver version.
DirectWrite	true (6.2.9200.22164)
GPU #1
Active	Yes
Description	Intel(R) HD Graphics Family
Vendor ID	0x8086
Device ID	0x0116
Driver Version	15.28.24.64.4229
Driver Date	6-5-2015
Drivers	igdumd64 igd10umd64 igd10umd64 igdumdx32 igd10umd32 igd10umd32
Subsys ID	00000000
RAM	Unknown
Diagnostics
AzureCanvasAccelerated	0
AzureCanvasBackend	skia
AzureContentBackend	skia
AzureFallbackCanvasBackend	cairo
failures	[GFX1-]: CreateShaderResourceView failed for format87
Decision Log
DIRECT2D	
Blocklisted; failure code BLOCKLIST_FEATURE_FAILURE_DL_BLACKLIST_g984
D3D11_HW_ANGLE	
broken by runtime: Texture sharing doesn't work
GPU_PROCESS	
unavailable by default: Multi-process mode is not enabled
WEBRENDER	
opt-in by default: WebRender is an opt-in feature
unavailable by runtime: ANGLE is disabled
ADVANCED_LAYERS	
disabled by default: Disabled by default
Failure Log
(#0) Error	CreateShaderResourceView failed for format87
Flags: needinfo?(frederic.s.bayer)
[Collaborating  with Mozilla: Nightly - UIB 11/10/17]

OS: Windows 7 Pro 64-bit
BULDID: 20171010220102

Screen displays green frame instead of playing a 360 degree video in YouTube page.
This bug does not show up when open in MinVid.

Comment 9

a year ago
[Collaborating with Mozilla; Nightly - UIB 11/10/17]
Nightly 58.0a1 [Built from https://hg.mozilla.org/mozilla-central/rev/5eba13f5b3a6ad80decdd8c7b30bff5fa477844f]

BUILDID:  20171008220130

OS: Win7 64-bit

Player goes green, but loads after few minutes. Can be viewed in MinVid).

EGL_VENDOR: Google Inc. (adapter LUID: 0000000000006f54) EGL_VERSION: 1.4 (ANGLE 2.1.0.dec065540d5f) EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses

GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays 
GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object
[Collaborating  with Mozilla: Nightly - UIB 11/10/17]

OS: Windows 7 Pro 64-bit
BULDID: 20171010220102

Screen displays green frame instead of playing a 360 degree video in YouTube page.
This bug does not show up when open in MinVid.


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::


Configuración básica de la aplicación
-------------------------------------

Nombre: Firefox
Versión: 58.0a1
ID de compilación: 20171010220102
Canal de actualización: nightly
Agente de usuario: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:58.0) Gecko/20100101 Firefox/58.0
OS: Windows_NT 6.1
Ventanas multiproceso: 2/2 (Habilitado por omisión)
Procesos de contenido web: 5/4
Stylo: true (habilitado por omisión)
Clave de Google: Encontrado
Clave del servicio de ubicación de Mozilla: Encontrado
Modo seguro: false

Informes de fallos de los últimos 3 días
----------------------------------------

Todos los informes de fallo

Características de Nightly
--------------------------

Nombre: Activity Stream
Versión: 2017.10.06.1105-fbbf9d84
ID: activity-stream@mozilla.org

Nombre: Application Update Service Helper
Versión: 2.0
ID: aushelper@mozilla.org

Nombre: Firefox Screenshots
Versión: 19.1.0
ID: screenshots@mozilla.org

Nombre: FlyWeb
Versión: 1.0.0
ID: flyweb@mozilla.org

Nombre: Follow-on Search Telemetry
Versión: 0.9.5
ID: followonsearch@mozilla.com

Nombre: Form Autofill
Versión: 1.0
ID: formautofill@mozilla.org

Nombre: Multi-process staged rollout
Versión: 3.05
ID: e10srollout@mozilla.org

Nombre: Photon onboarding
Versión: 0.1
ID: onboarding@mozilla.org

Nombre: Pocket
Versión: 1.0.5
ID: firefox@getpocket.com

Nombre: Presentation
Versión: 1.0.0
ID: presentation@mozilla.org

Nombre: Shield Recipe Client
Versión: 76
ID: shield-recipe-client@mozilla.org

Nombre: Web Compat
Versión: 1.1
ID: webcompat@mozilla.org

Nombre: WebCompat Reporter
Versión: 1.0.0
ID: webcompat-reporter@mozilla.org

Extensiones
-----------

Nombre: Firefox Notes
Versión: 1.8.0
Activada: true
ID: notes@mozilla.com

Nombre: Min Vid
Versión: 0.4.5
Activada: true
ID: @min-vid

Nombre: Multi-Account Containers
Versión: 4.0.3
Activada: true
ID: @testpilot-containers

Nombre: Test Pilot
Versión: 2.0.4-dev-18ce799
Activada: true
ID: @testpilot-addon

Gráficos
--------

Características
Composición: Direct3D 11 (Advanced Layers)
Encuadre/zoom asíncrono: entrada de rueda de ratón activada; arrastre de la barra de desplazamiento activado; teclado habilitado; desplazamiento automático activado
Información WSI del controlador WebGL 1: EGL_VENDOR: Google Inc. (adapter LUID: 0000000000005c50) EGL_VERSION: 1.4 (ANGLE 2.1.0.dec065540d5f) EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses
Renderizador del controlador WebGL 1: Google Inc. -- ANGLE (Intel(R) HD Graphics 4600 Direct3D11 vs_5_0 ps_5_0)
Versión del controlador WebGL 1: OpenGL ES 2.0 (ANGLE 2.1.0.dec065540d5f)
Extensiones del controlador WebGL 1: GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object
Extensiones WebGL 1: ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_frag_depth EXT_sRGB EXT_shader_texture_lod EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_element_index_uint OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_s3tc WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context
Información WSI del controlador WebGL 2: EGL_VENDOR: Google Inc. (adapter LUID: 0000000000005c50) EGL_VERSION: 1.4 (ANGLE 2.1.0.dec065540d5f) EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses
Renderizador del controlador WebGL 2: Google Inc. -- ANGLE (Intel(R) HD Graphics 4600 Direct3D11 vs_5_0 ps_5_0)
Versión del controlador WebGL 2: OpenGL ES 3.0 (ANGLE 2.1.0.dec065540d5f)
Extensiones del controlador WebGL 2: GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_float GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_norm16 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_EGL_image_external_essl3 GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object
Extensiones WebGL 2: EXT_color_buffer_float EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_texture_float_linear WEBGL_compressed_texture_s3tc WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context
Direct2D: true
Dibujado fuera del hilo principal de ejecución activado: true
DirectWrite: true (6.2.9200.22164)
GPU #1
Activa: Sí
Descripción: Intel(R) HD Graphics 4600
ID del fabricante: 0x8086
ID del dispositivo: 0x0412
Versión del controlador: 10.18.14.4432
Fecha del controlador: 4-8-2016
Controladores: igdumdim64 igd10iumd64 igd10iumd64 igdumdim32 igd10iumd32 igd10iumd32
ID del subsistema: 06121028
RAM: Unknown

Diagnósticos
AzureCanvasAccelerated: 0
AzureCanvasBackend: Direct2D 1.1
AzureCanvasBackend (UI Process): skia
AzureContentBackend: Direct2D 1.1
AzureContentBackend (UI Process): skia
AzureFallbackCanvasBackend (UI Process): cairo
GPUProcessPid: 884
GPUProcess: Terminar proceso GPU
Device Reset: Provocar reinicio del dispositivo
Registro de decisiones
WEBRENDER:
opt-in by default: WebRender is an opt-in feature
ADVANCED_LAYERS:
available by user: Enabled for Windows 7 via user-preference

Alternativas
NO_CONSTANT_BUFFER_OFFSETTING: Unsupported by driver


Medios
------

Sistema de audio: wasapi
Canales máximos: 2
Disposición de canales preferida: stereo
Tasa de muestreo preferida: 44100
Dispositivos de salida
Nombre: Grupo
Altavoces (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
DELL E178FP (Sonido Intel(R) para pantallas): HDAUDIO\FUNC_01&VEN_8086&DEV_2809&SUBSYS_80860101&REV_1000\4&3ad8cc77&0&0201
Conector AUX interno (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
Conector AUX interno (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
Altavoces (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
Altavoces / Auriculares (Realtek Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0255&SUBSYS_102806BB&REV_1000\4&3ad8cc77&0&0001
Dispositivos de entrada
Nombre: Grupo
Conector AUX interno (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
Mezcla estéreo (Realtek Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0255&SUBSYS_102806BB&REV_1000\4&3ad8cc77&0&0001
Micrófono (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
Micrófono de conector de entrada (Realtek Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0255&SUBSYS_102806BB&REV_1000\4&3ad8cc77&0&0001
Micrófono (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201

Preferencias importantes modificadas
------------------------------------

accessibility.typeaheadfind.flashBar: 0
browser.cache.disk.capacity: 358400
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.frecency_experiment: 1
browser.places.smartBookmarksVersion: 8
browser.sessionstore.upgradeBackup.latestBuildID: 20171010220102
browser.startup.homepage_override.buildID: 20171010220102
browser.startup.homepage_override.mstone: 58.0a1
browser.urlbar.lastSuggestionsPromptDate: 20171011
browser.urlbar.timesBeforeHidingSuggestionsHint: 0
browser.urlbar.usepreloadedtopurls.enabled: false
dom.forms.autocomplete.formautofill: true
dom.ipc.processCount.web: 4
extensions.lastAppVersion: 58.0a1
gfx.crash-guard.d3d11layers.appVersion: 51.0.1
gfx.crash-guard.d3d11layers.deviceID: 0x0412
gfx.crash-guard.d3d11layers.driverVersion: 10.18.14.4432
gfx.crash-guard.d3d11layers.feature-d2d: true
gfx.crash-guard.d3d11layers.feature-d3d11: true
gfx.crash-guard.status.d3d11layers: 2
gfx.crash-guard.status.d3d9video: 2
layers.mlgpu.sanity-test-failed: false
media.benchmark.vp9.fps: 213
media.benchmark.vp9.versioncheck: 2
media.gmp-gmpopenh264.abi: x86_64-msvc-x64
media.gmp-gmpopenh264.lastUpdate: 1507719911
media.gmp-gmpopenh264.version: 1.6
media.gmp-manager.buildID: 20171010220102
media.gmp-manager.lastCheck: 1507724176
media.gmp-widevinecdm.abi: x86_64-msvc-x64
media.gmp-widevinecdm.lastUpdate: 1507719912
media.gmp-widevinecdm.version: 1.4.8.1008
media.gmp.storage.version.observed: 1
media.hardware-video-decoding.failed: false
network.cookie.prefsMigrated: true
network.predictor.cleaned-up: true
places.database.lastMaintenance: 1507721455
places.history.expiration.transient_current_max_pages: 104858
plugin.disable_full_page_plugin_for_types: application/pdf
plugin.importedState: true
plugins.ctprollout.cohort: test
plugins.ctprollout.cohortSample: 0.528386
privacy.userContext.extension: @testpilot-containers
security.sandbox.content.tempDirSuffix: {436e1681-5d37-4501-b8d7-702567c0d0f1}
services.sync.engine.addresses.available: true
storage.vacuum.last.index: 0
storage.vacuum.last.places.sqlite: 1507721455

Preferencias importantes bloqueadas
-----------------------------------

Base de datos de sitios
-----------------------

JavaScript
----------

Recogida de basura incremental: true

Accesibilidad
-------------

Activado: false
Impedir accesibilidad: 0
Manejador accesible usado: true
Instanciador de accesibilidad:

Versiones de bibliotecas
------------------------

NSPR
Versión mínima esperada: 4.17
Versión en uso: 4.17

NSS
Versión mínima esperada: 3.34 Beta
Versión en uso: 3.34 Beta

NSSSMIME
Versión mínima esperada: 3.34 Beta
Versión en uso: 3.34 Beta

NSSSSL
Versión mínima esperada: 3.34 Beta
Versión en uso: 3.34 Beta

NSSUTIL
Versión mínima esperada: 3.34 Beta
Versión en uso: 3.34 Beta

Características experimentales
------------------------------

Entorno de pruebas
------------------

Nivel de aislamiento del proceso de contenido: 4
Nivel efectivo de aislamiento (sandboxing) para los procesos de contenido: 4

Comment 11

a year ago
[Collaborating  with Mozilla: Nightly - UIB 11/10/17]

OS: Windows 7 Pro 64-bit
BULDID: 20171010220102

Screen displays green frame instead of playing a 360 degree video in YouTube page.
This bug does not show up when open in MinVid.

Configuración básica de la aplicación
-------------------------------------

Nombre: Firefox
Versión: 58.0a1
ID de compilación: 20171010220102
Canal de actualización: nightly
Agente de usuario: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:58.0) Gecko/20100101 Firefox/58.0
OS: Windows_NT 6.1
Ventanas multiproceso: 2/2 (Habilitado por omisión)
Procesos de contenido web: 5/4
Stylo: true (habilitado por omisión)
Clave de Google: Encontrado
Clave del servicio de ubicación de Mozilla: Encontrado
Modo seguro: false

Informes de fallos de los últimos 3 días
----------------------------------------

Todos los informes de fallo

Características de Nightly
--------------------------

Nombre: Activity Stream
Versión: 2017.10.06.1105-fbbf9d84
ID: activity-stream@mozilla.org

Nombre: Application Update Service Helper
Versión: 2.0
ID: aushelper@mozilla.org

Nombre: Firefox Screenshots
Versión: 19.1.0
ID: screenshots@mozilla.org

Nombre: FlyWeb
Versión: 1.0.0
ID: flyweb@mozilla.org

Nombre: Follow-on Search Telemetry
Versión: 0.9.5
ID: followonsearch@mozilla.com

Nombre: Form Autofill
Versión: 1.0
ID: formautofill@mozilla.org

Nombre: Multi-process staged rollout
Versión: 3.05
ID: e10srollout@mozilla.org

Nombre: Photon onboarding
Versión: 0.1
ID: onboarding@mozilla.org

Nombre: Pocket
Versión: 1.0.5
ID: firefox@getpocket.com

Nombre: Presentation
Versión: 1.0.0
ID: presentation@mozilla.org

Nombre: Shield Recipe Client
Versión: 76
ID: shield-recipe-client@mozilla.org

Nombre: TLS 1.3 Compatibility Testing of Middleboxes
Versión: 1.0.0
ID: tls13-middlebox-serverhello@mozilla.org

Nombre: Web Compat
Versión: 1.1
ID: webcompat@mozilla.org

Nombre: WebCompat Reporter
Versión: 1.0.0
ID: webcompat-reporter@mozilla.org

Extensiones
-----------

Nombre: Multi-Account Containers
Versión: 4.0.3
Activada: true
ID: @testpilot-containers

Nombre: Test Pilot
Versión: 2.0.4-dev-18ce799
Activada: true
ID: @testpilot-addon

Gráficos
--------

Características
Composición: Direct3D 11 (Advanced Layers)
Encuadre/zoom asíncrono: entrada de rueda de ratón activada; arrastre de la barra de desplazamiento activado; teclado habilitado; desplazamiento automático activado
Información WSI del controlador WebGL 1: EGL_VENDOR: Google Inc. (adapter LUID: 0000000000005f7b) EGL_VERSION: 1.4 (ANGLE 2.1.0.dec065540d5f) EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses
Renderizador del controlador WebGL 1: Google Inc. -- ANGLE (Intel(R) HD Graphics 4600 Direct3D11 vs_5_0 ps_5_0)
Versión del controlador WebGL 1: OpenGL ES 2.0 (ANGLE 2.1.0.dec065540d5f)
Extensiones del controlador WebGL 1: GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object
Extensiones WebGL 1: ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_frag_depth EXT_sRGB EXT_shader_texture_lod EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_element_index_uint OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_s3tc WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context
Información WSI del controlador WebGL 2: EGL_VENDOR: Google Inc. (adapter LUID: 0000000000005f7b) EGL_VERSION: 1.4 (ANGLE 2.1.0.dec065540d5f) EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses
Renderizador del controlador WebGL 2: Google Inc. -- ANGLE (Intel(R) HD Graphics 4600 Direct3D11 vs_5_0 ps_5_0)
Versión del controlador WebGL 2: OpenGL ES 3.0 (ANGLE 2.1.0.dec065540d5f)
Extensiones del controlador WebGL 2: GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_float GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_norm16 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_EGL_image_external_essl3 GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object
Extensiones WebGL 2: EXT_color_buffer_float EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_texture_float_linear WEBGL_compressed_texture_s3tc WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context
Direct2D: true
Dibujado fuera del hilo principal de ejecución activado: true
DirectWrite: true (6.2.9200.22164)
GPU #1
Activa: Sí
Descripción: Intel(R) HD Graphics 4600
ID del fabricante: 0x8086
ID del dispositivo: 0x0412
Versión del controlador: 10.18.14.4432
Fecha del controlador: 4-8-2016
Controladores: igdumdim64 igd10iumd64 igd10iumd64 igdumdim32 igd10iumd32 igd10iumd32
ID del subsistema: 06121028
RAM: Unknown

Diagnósticos
AzureCanvasAccelerated: 0
AzureCanvasBackend: Direct2D 1.1
AzureCanvasBackend (UI Process): skia
AzureContentBackend: Direct2D 1.1
AzureContentBackend (UI Process): skia
AzureFallbackCanvasBackend (UI Process): cairo
GPUProcessPid: 4396
GPUProcess: Terminar proceso GPU
Device Reset: Provocar reinicio del dispositivo
Registro de decisiones
WEBRENDER:
opt-in by default: WebRender is an opt-in feature
ADVANCED_LAYERS:
available by user: Enabled for Windows 7 via user-preference

Alternativas
NO_CONSTANT_BUFFER_OFFSETTING: Unsupported by driver


Medios
------

Sistema de audio: wasapi
Canales máximos: 2
Disposición de canales preferida: stereo
Tasa de muestreo preferida: 44100
Dispositivos de salida
Nombre: Grupo
Altavoces (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
DELL E178FP (Sonido Intel(R) para pantallas): HDAUDIO\FUNC_01&VEN_8086&DEV_2809&SUBSYS_80860101&REV_1000\4&3ad8cc77&0&0201
Conector AUX interno (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
Conector AUX interno (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
Altavoces (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
Altavoces / Auriculares (Realtek Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0255&SUBSYS_102806BB&REV_1000\4&3ad8cc77&0&0001
Dispositivos de entrada
Nombre: Grupo
Conector AUX interno (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
Mezcla estéreo (Realtek Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0255&SUBSYS_102806BB&REV_1000\4&3ad8cc77&0&0001
Micrófono (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201
Micrófono de conector de entrada (Realtek Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0255&SUBSYS_102806BB&REV_1000\4&3ad8cc77&0&0001
Micrófono (Dispositivo de High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0280&SUBSYS_10280612&REV_1000\4&1296d126&0&0201

Preferencias importantes modificadas
------------------------------------

accessibility.typeaheadfind.flashBar: 0
browser.cache.disk.capacity: 296960
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.frecency_experiment: 1
browser.places.smartBookmarksVersion: 8
browser.sessionstore.upgradeBackup.latestBuildID: 20171010220102
browser.startup.homepage_override.buildID: 20171010220102
browser.startup.homepage_override.mstone: 58.0a1
browser.urlbar.lastSuggestionsPromptDate: 20171011
browser.urlbar.timesBeforeHidingSuggestionsHint: 0
browser.urlbar.usepreloadedtopurls.enabled: false
dom.forms.autocomplete.formautofill: true
dom.ipc.processCount.web: 4
extensions.lastAppVersion: 58.0a1
gfx.crash-guard.d3d11layers.appVersion: 51.0.1
gfx.crash-guard.d3d11layers.deviceID: 0x0412
gfx.crash-guard.d3d11layers.driverVersion: 10.18.14.4432
gfx.crash-guard.d3d11layers.feature-d2d: true
gfx.crash-guard.d3d11layers.feature-d3d11: true
gfx.crash-guard.status.d3d11layers: 2
gfx.crash-guard.status.d3d9video: 2
layers.mlgpu.sanity-test-failed: false
media.benchmark.vp9.fps: 199
media.benchmark.vp9.versioncheck: 2
media.gmp-gmpopenh264.abi: x86_64-msvc-x64
media.gmp-gmpopenh264.lastUpdate: 1507720391
media.gmp-gmpopenh264.version: 1.6
media.gmp-manager.buildID: 20171010220102
media.gmp-manager.lastCheck: 1507720391
media.gmp-widevinecdm.abi: x86_64-msvc-x64
media.gmp-widevinecdm.lastUpdate: 1507720392
media.gmp-widevinecdm.version: 1.4.8.1008
media.gmp.storage.version.observed: 1
media.hardware-video-decoding.failed: false
network.cookie.prefsMigrated: true
network.predictor.cleaned-up: true
places.database.lastMaintenance: 1507724468
places.history.expiration.transient_current_max_pages: 70759
plugin.disable_full_page_plugin_for_types: application/pdf
plugin.importedState: true
plugins.ctprollout.cohort: test
plugins.ctprollout.cohortSample: 0.528386
privacy.userContext.extension: @testpilot-containers
security.sandbox.content.tempDirSuffix: {436e1681-5d37-4501-b8d7-702567c0d0f1}
services.sync.engine.addresses.available: true
storage.vacuum.last.index: 1
storage.vacuum.last.places.sqlite: 1507549505

Preferencias importantes bloqueadas
-----------------------------------

Base de datos de sitios
-----------------------

JavaScript
----------

Recogida de basura incremental: true

Accesibilidad
-------------

Activado: false
Impedir accesibilidad: 0
Manejador accesible usado: true
Instanciador de accesibilidad:

Versiones de bibliotecas
------------------------

NSPR
Versión mínima esperada: 4.17
Versión en uso: 4.17

NSS
Versión mínima esperada: 3.34 Beta
Versión en uso: 3.34 Beta

NSSSMIME
Versión mínima esperada: 3.34 Beta
Versión en uso: 3.34 Beta

NSSSSL
Versión mínima esperada: 3.34 Beta
Versión en uso: 3.34 Beta

NSSUTIL
Versión mínima esperada: 3.34 Beta
Versión en uso: 3.34 Beta

Características experimentales
------------------------------

Entorno de pruebas
------------------

Nivel de aislamiento del proceso de contenido: 4
Nivel efectivo de aislamiento (sandboxing) para los procesos de contenido: 4

Updated

a year ago
Status: UNCONFIRMED → NEW
Ever confirmed: true
Wonder if you're ending up in D3D11 instead of D3D9 decoding; Frederic, would you be able to run mozregression [1] to help us find when this stopped working?  Default parameters are probably fine.

[1] http://mozilla.github.io/mozregression/quickstart.html
Flags: needinfo?(frederic.s.bayer)
status-firefox56: --- → affected
status-firefox57: --- → affected
status-firefox58: --- → affected
Priority: -- → P1
Whiteboard: [gfx-noted]
Duplicate of this bug: 1406655
(Reporter)

Comment 14

a year ago
Sure, here's the mozregression log:

2017-10-11T19:04:01: INFO : Stopped
2017-10-11T19:04:26: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?changeset=c3b7759671deae73e40ebca01d7f23a326a4b8c2
2017-10-11T19:04:27: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?fromchange=c3b7759671deae73e40ebca01d7f23a326a4b8c2&tochange=19b32a138d08f73961df878a29de6f0aad441683
2017-10-11T19:04:27: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.c3b7759671deae73e40ebca01d7f23a326a4b8c2.firefox.win64-opt'
2017-10-11T19:04:27: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.19b32a138d08f73961df878a29de6f0aad441683.firefox.win64-opt'
2017-10-11T19:04:30: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.66042a70698006d3371c87e092a2c25a80584320.firefox.win64-opt'
2017-10-11T19:05:02: INFO : Running mozilla-central build built on 2017-10-05 10:34:59.326000, revision 66042a70
2017-10-11T19:05:02: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.53bbdaaa2b8c1819061be26101b075c081b23260.firefox.win64-opt'
2017-10-11T19:05:03: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.aa40f93369300af2aed79741293511c0263a8f33.firefox.win64-opt'
2017-10-11T19:05:05: INFO : Launching c:\Users\NSCJ\AppData\Local\Temp\tmpude_gd\firefox\firefox.exe
2017-10-11T19:05:05: INFO : Application command: c:\Users\NSCJ\AppData\Local\Temp\tmpude_gd\firefox\firefox.exe -profile c:\users\nscj\appdata\local\temp\tmpppbaxz.mozrunner
2017-10-11T19:05:05: INFO : application_buildid: 20171005085133
2017-10-11T19:05:05: INFO : application_changeset: 66042a70698006d3371c87e092a2c25a80584320
2017-10-11T19:05:05: INFO : application_display_name: Nightly
2017-10-11T19:05:05: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-10-11T19:05:05: INFO : application_name: Firefox
2017-10-11T19:05:05: INFO : application_remotingname: firefox
2017-10-11T19:05:05: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-10-11T19:05:05: INFO : application_vendor: Mozilla
2017-10-11T19:05:05: INFO : application_version: 58.0a1
2017-10-11T19:05:05: INFO : platform_buildid: 20171005085133
2017-10-11T19:05:05: INFO : platform_changeset: 66042a70698006d3371c87e092a2c25a80584320
2017-10-11T19:05:05: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-10-11T19:05:05: INFO : platform_version: 58.0a1
2017-10-11T19:05:10: WARNING : Skipping build aa40f9336930: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.aa40f93369300af2aed79741293511c0263a8f33.firefox.win64-opt'
2017-10-11T19:05:10: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.dedd9a48da6982467b8b4b635eec59521168ec19.firefox.win64-opt'
2017-10-11T19:05:11: INFO : [GFX1-]: CreateShaderResourceView failed for format87
2017-10-11T19:05:11: INFO : [GFX1-]: CreateShaderResourceView failed for format87
2017-10-11T19:05:12: INFO : [GFX1-]: CreateShaderResourceView failed for format87
2017-10-11T19:05:14: INFO : [GFX1-]: CreateShaderResourceView failed for format87
2017-10-11T19:05:16: INFO : [GFX1-]: CreateShaderResourceView failed for format87
2017-10-11T19:06:07: INFO : Narrowed inbound regression window from [c3b77596, 19b32a13] (5 builds) to [66042a70, 19b32a13] (3 builds) (~1 steps left)
2017-10-11T19:06:07: INFO : Running mozilla-central build built on 2017-10-05 10:34:44.443000, revision 53bbdaaa
2017-10-11T19:06:11: INFO : Launching c:\Users\NSCJ\AppData\Local\Temp\tmpuccbo6\firefox\firefox.exe
2017-10-11T19:06:11: INFO : Application command: c:\Users\NSCJ\AppData\Local\Temp\tmpuccbo6\firefox\firefox.exe -profile c:\users\nscj\appdata\local\temp\tmpyptmj8.mozrunner
2017-10-11T19:06:11: INFO : application_buildid: 20171005085601
2017-10-11T19:06:11: INFO : application_changeset: 53bbdaaa2b8c1819061be26101b075c081b23260
2017-10-11T19:06:11: INFO : application_display_name: Nightly
2017-10-11T19:06:11: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-10-11T19:06:11: INFO : application_name: Firefox
2017-10-11T19:06:11: INFO : application_remotingname: firefox
2017-10-11T19:06:11: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-10-11T19:06:11: INFO : application_vendor: Mozilla
2017-10-11T19:06:11: INFO : application_version: 58.0a1
2017-10-11T19:06:11: INFO : platform_buildid: 20171005085601
2017-10-11T19:06:11: INFO : platform_changeset: 53bbdaaa2b8c1819061be26101b075c081b23260
2017-10-11T19:06:11: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-10-11T19:06:11: INFO : platform_version: 58.0a1
2017-10-11T19:06:13: INFO : [GFX1-]: CreateShaderResourceView failed for format87
2017-10-11T19:06:14: INFO : [GFX1-]: CreateShaderResourceView failed for format87
2017-10-11T19:06:14: INFO : [GFX1-]: CreateShaderResourceView failed for format87
2017-10-11T19:06:16: INFO : [GFX1-]: CreateShaderResourceView failed for format87
2017-10-11T19:06:17: INFO : [GFX1-]: CreateShaderResourceView failed for format87
2017-10-11T19:07:00: INFO : Narrowed inbound regression window from [66042a70, 19b32a13] (3 builds) to [53bbdaaa, 19b32a13] (2 builds) (~1 steps left)
2017-10-11T19:07:00: DEBUG : Starting merge handling...
2017-10-11T19:07:00: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?changeset=19b32a138d08f73961df878a29de6f0aad441683&full=1
2017-10-11T19:07:01: DEBUG : Found commit message:
Backed out changeset 1fde4de1be90 (bug 1404281) for frequent failures in test_basic_creditcard_autocomplete_form.html a=backout CLOSED TREE

MozReview-Commit-ID: 7ivoAi307Ee

2017-10-11T19:07:01: INFO : The bisection is done.
2017-10-11T19:07:01: INFO : Stopped
Flags: needinfo?(frederic.s.bayer)

Comment 15

a year ago
thank you, this range points to changes on the 58.0a1 nightly channel a couple of days ago - since these were changes far after what has gone into 56.0 where the issue apparently popped up for the first time this leaves us in a rather inconclusive state though :-/

Comment 16

a year ago
So, would this be the place to state I am getting a green video window with YouTube 360 videos in 57beta9?  Screenshot: https://i.imgur.com/xSVUIQW.png

Note: If I launch with a new profile, it will play the video fine; however, after shutting down the browser and restarting it a couple times, it stops playing it. Think I will make a bug about it. I need to do before and after about:support difference checking.

Plays fine in my 56.0.1 install.

Comment 17

a year ago
This is YouTube 360 Videos being green (normal videos play fine).

Here's my Graphics Section after it stops playing in 57beta9:
Graphics
--------

Features
Compositing: Direct3D 11 (Advanced Layers)
Asynchronous Pan/Zoom: wheel input enabled; scrollbar drag enabled; keyboard enabled; autoscroll enabled
WebGL 1 Driver WSI Info: EGL_VENDOR: Google Inc. (adapter LUID: 0000000000008800) EGL_VERSION: 1.4 (ANGLE 2.1.0.dec065540d5f) EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses
WebGL 1 Driver Renderer: Google Inc. -- ANGLE (NVIDIA GeForce GTX 550 Ti Direct3D11 vs_5_0 ps_5_0)
WebGL 1 Driver Version: OpenGL ES 2.0 (ANGLE 2.1.0.dec065540d5f)
WebGL 1 Driver Extensions: GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object
WebGL 1 Extensions: ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_frag_depth EXT_shader_texture_lod EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_element_index_uint OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_s3tc WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context MOZ_WEBGL_lose_context MOZ_WEBGL_compressed_texture_s3tc MOZ_WEBGL_depth_texture
WebGL 2 Driver WSI Info: EGL_VENDOR: Google Inc. (adapter LUID: 0000000000008800) EGL_VERSION: 1.4 (ANGLE 2.1.0.dec065540d5f) EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses
WebGL 2 Driver Renderer: Google Inc. -- ANGLE (NVIDIA GeForce GTX 550 Ti Direct3D11 vs_5_0 ps_5_0)
WebGL 2 Driver Version: OpenGL ES 3.0 (ANGLE 2.1.0.dec065540d5f)
WebGL 2 Driver Extensions: GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_float GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_norm16 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_EGL_image_external_essl3 GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object
WebGL 2 Extensions: EXT_color_buffer_float EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_texture_float_linear WEBGL_compressed_texture_s3tc WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context MOZ_WEBGL_lose_context MOZ_WEBGL_compressed_texture_s3tc
Direct2D: true
DirectWrite: true (6.2.9200.22164)
GPU #1
Active: Yes
Description: NVIDIA GeForce GTX 550 Ti
Vendor ID: 0x10de
Device ID: 0x1244
Driver Version: 9.18.13.4788
Driver Date: 3-13-2015
Drivers: nvd3dumx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um
Subsys ID: 15543842
RAM: 1024

Diagnostics
ClearType Parameters: Gamma: 2.2 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 50
AzureCanvasAccelerated: 0
AzureCanvasBackend: Direct2D 1.1
AzureCanvasBackend (UI Process): skia
AzureContentBackend: Direct2D 1.1
AzureContentBackend (UI Process): skia
AzureFallbackCanvasBackend (UI Process): cairo
GPUProcessPid: 2816
ClearType Parameters: Gamma: 2.2 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 50
Decision Log
WEBRENDER:
opt-in by default: WebRender is an opt-in feature
unavailable by runtime: Build doesn't include WebRender
ADVANCED_LAYERS:
available by user: Enabled for Windows 7 via user-preference

Workarounds
NO_CONSTANT_BUFFER_OFFSETTING: Unsupported by driver

Comment 18

a year ago
Could this in the console be a clue:

Error: WebGL warning: drawArrays: Active texture 0 for target 0x0de1 is 'incomplete', and will be rendered as RGBA(0,0,0,1), as per the GLES 2.0.24 $3.8.2: The dimensions of `level_base` are not all positive. webgl.js:170:433

Been using https://www.youtube.com/watch?v=tiboVDIK1Es as a test. No such error in 56.0.1 console.  I also don't get this error in the console with normal videos.

Comment 19

a year ago
hi mark, if it reproduces consistently, could you try coming up with a regression range with the tool from http://mozilla.github.io/mozregression/quickstart.html too?
Flags: needinfo?(bugzilla)

Comment 20

a year ago
FYI, Just installed Nightly 58.0a1 Build ID, 20171019222141 and that 360 YouTube Video plays fine.  57Beta9 still shows the green video at https://www.youtube.com/watch?v=tiboVDIK1Es

58.0a1 did have that same WebGL error:
Error: WebGL warning: drawArrays: Active texture 0 for target 0x0de1 is 'incomplete', and will be rendered as RGBA(0,0,0,1), as per the GLES 2.0.24 $3.8.2: The dimensions of `level_base` are not all positive. webgl.js:170:433

But, that didn't seem to matter in Nightly.

So, whatever is broken in 57, isn't in this build of Nightly.  Guess I can figure out this regression business now. Let me know if you still want me to.
Flags: needinfo?(bugzilla)

Comment 21

a year ago
Think I ran the Regression Thing correctly. Log:

2017-10-19T23:22:42: INFO : [GFX1]: Unhandled subdesc type: 3
(a bunch of these)
2017-10-19T23:22:46: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:22:46: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:22:46: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:00: INFO : 
2017-10-19T23:23:00: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x15008E,name=PBrowser::Msg_UpdateNativeWindowHandle) Channel error: cannot send/recv
2017-10-19T23:23:00: INFO : 
2017-10-19T23:23:00: INFO : 
2017-10-19T23:23:00: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x150082,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2017-10-19T23:23:00: INFO : 
2017-10-19T23:23:05: INFO : Narrowed inbound regression window from [f5d99e9f, 8e052983] (6 builds) to [f5d99e9f, 0afabd3e] (4 builds) (~2 steps left)
2017-10-19T23:23:05: INFO : Running mozilla-central build built on 2017-09-03 10:14:00.290000, revision 37824bf5
2017-10-19T23:23:05: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.59db725def8282e1d77e83f002d247c7d0f95237.firefox.win64-opt'
2017-10-19T23:23:07: INFO : Launching c:\Users\(removed)\AppData\Local\Temp\tmp0y9qie\firefox\firefox.exe
2017-10-19T23:23:07: INFO : Application command: c:\Users\(removed)\AppData\Local\Temp\tmp0y9qie\firefox\firefox.exe -profile c:\users\(removed)\appdata\local\temp\tmpdoy1wj.mozrunner
2017-10-19T23:23:07: INFO : application_buildid: 20170903085438
2017-10-19T23:23:07: INFO : application_changeset: 37824bf5c5b08afa7e689fceb935b8f457ebd9eb
2017-10-19T23:23:07: INFO : application_display_name: Nightly
2017-10-19T23:23:07: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-10-19T23:23:07: INFO : application_name: Firefox
2017-10-19T23:23:07: INFO : application_remotingname: firefox
2017-10-19T23:23:07: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-10-19T23:23:07: INFO : application_vendor: Mozilla
2017-10-19T23:23:07: INFO : application_version: 57.0a1
2017-10-19T23:23:07: INFO : platform_buildid: 20170903085438
2017-10-19T23:23:07: INFO : platform_changeset: 37824bf5c5b08afa7e689fceb935b8f457ebd9eb
2017-10-19T23:23:07: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-10-19T23:23:07: INFO : platform_version: 57.0a1
2017-10-19T23:23:09: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:23:09: INFO : [Parent 1912] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:23:09: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:23:09: INFO : [Child 4956] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:23:09: INFO : [Child 4956] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:23:23: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:23: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:23: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:23: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:23: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:23: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:23: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:23: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:23: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:23: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:23: INFO : [GFX1]: Unhandled subdesc type: 3
(a bunch of these)
2017-10-19T23:23:37: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:37: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:37: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-19T23:23:54: INFO : 
2017-10-19T23:23:54: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x15008E,name=PBrowser::Msg_UpdateNativeWindowHandle) Channel error: cannot send/recv
2017-10-19T23:23:54: INFO : 
2017-10-19T23:23:54: INFO : 
2017-10-19T23:23:54: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x150082,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2017-10-19T23:23:54: INFO : 
2017-10-19T23:23:56: INFO : [Parent 1912] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:24:00: INFO : Narrowed inbound regression window from [f5d99e9f, 0afabd3e] (4 builds) to [f5d99e9f, 37824bf5] (3 builds) (~1 steps left)
2017-10-19T23:24:00: INFO : Running mozilla-central build built on 2017-09-03 10:14:38.322000, revision 59db725d
2017-10-19T23:24:02: INFO : Launching c:\Users\(removed)\AppData\Local\Temp\tmpewcpv6\firefox\firefox.exe
2017-10-19T23:24:02: INFO : Application command: c:\Users\(removed)\AppData\Local\Temp\tmpewcpv6\firefox\firefox.exe -profile c:\users\(removed)\appdata\local\temp\tmp7m346c.mozrunner
2017-10-19T23:24:02: INFO : application_buildid: 20170903085316
2017-10-19T23:24:02: INFO : application_changeset: 59db725def8282e1d77e83f002d247c7d0f95237
2017-10-19T23:24:02: INFO : application_display_name: Nightly
2017-10-19T23:24:02: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-10-19T23:24:02: INFO : application_name: Firefox
2017-10-19T23:24:02: INFO : application_remotingname: firefox
2017-10-19T23:24:02: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-10-19T23:24:02: INFO : application_vendor: Mozilla
2017-10-19T23:24:02: INFO : application_version: 57.0a1
2017-10-19T23:24:02: INFO : platform_buildid: 20170903085316
2017-10-19T23:24:02: INFO : platform_changeset: 59db725def8282e1d77e83f002d247c7d0f95237
2017-10-19T23:24:02: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-10-19T23:24:02: INFO : platform_version: 57.0a1
2017-10-19T23:24:04: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:24:04: INFO : [Child 9036] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:25:32: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:25:32: INFO : [Parent 7100] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:25:32: INFO : [Parent 7100] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:25:32: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:25:32: INFO : [Child 4244] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:25:32: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:25:32: INFO : [Child 6792] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:25:32: INFO : [Child 6792] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:25:32: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:25:32: INFO : [GPU 4288] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:25:32: INFO : 
2017-10-19T23:25:32: INFO : ###!!! [Child][MessageChannel::SendAndWait] Error: Channel error: cannot send/recv
2017-10-19T23:25:32: INFO : 
2017-10-19T23:25:42: INFO : Running mozilla-central build built on 2017-09-03 10:14:38.322000, revision 59db725d
2017-10-19T23:25:44: INFO : Launching c:\Users\(removed)\AppData\Local\Temp\tmpqkwarn\firefox\firefox.exe
2017-10-19T23:25:44: INFO : Application command: c:\Users\(removed)\AppData\Local\Temp\tmpqkwarn\firefox\firefox.exe -profile c:\users\(removed)\appdata\local\temp\tmp0mfdgy.mozrunner
2017-10-19T23:25:44: INFO : application_buildid: 20170903085316
2017-10-19T23:25:44: INFO : application_changeset: 59db725def8282e1d77e83f002d247c7d0f95237
2017-10-19T23:25:44: INFO : application_display_name: Nightly
2017-10-19T23:25:44: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-10-19T23:25:44: INFO : application_name: Firefox
2017-10-19T23:25:44: INFO : application_remotingname: firefox
2017-10-19T23:25:44: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-10-19T23:25:44: INFO : application_vendor: Mozilla
2017-10-19T23:25:44: INFO : application_version: 57.0a1
2017-10-19T23:25:44: INFO : platform_buildid: 20170903085316
2017-10-19T23:25:44: INFO : platform_changeset: 59db725def8282e1d77e83f002d247c7d0f95237
2017-10-19T23:25:44: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-10-19T23:25:44: INFO : platform_version: 57.0a1
2017-10-19T23:25:46: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:25:46: INFO : [Parent 5396] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:25:46: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:25:46: INFO : [Child 8968] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:25:46: INFO : [Child 8968] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:26:39: INFO : [GFX1-]: Receive IPC close with reason=AbnormalShutdown
2017-10-19T23:26:39: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:26:39: INFO : [Child 1948] WARNING: pipe error: 232: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 513
2017-10-19T23:26:39: INFO : 
2017-10-19T23:26:39: INFO : ###!!! [Child][MessageChannel] Error: (msgtype=0x470002,name=PLayerTransaction::Msg_Update) Channel error: cannot send/recv
2017-10-19T23:26:39: INFO : 
2017-10-19T23:26:40: INFO : Narrowed inbound regression window from [f5d99e9f, 37824bf5] (3 builds) to [59db725d, 37824bf5] (2 builds) (~1 steps left)
2017-10-19T23:26:40: DEBUG : Starting merge handling...
2017-10-19T23:26:40: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?changeset=37824bf5c5b08afa7e689fceb935b8f457ebd9eb&full=1
2017-10-19T23:26:40: DEBUG : Found commit message:
merge mozilla-inbound to mozilla-central. r=merge a=merge

MozReview-Commit-ID: 47jGmg0qsJV

2017-10-19T23:26:40: DEBUG : This is a merge from mozilla-inbound
2017-10-19T23:26:40: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?changeset=367e87978050fe899cec312d700137f80baa074f
2017-10-19T23:26:40: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?fromchange=367e87978050fe899cec312d700137f80baa074f&tochange=fc9d1811487a2ce8ed2403607fbd168fd2cbc5d9
2017-10-19T23:26:40: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?startID=94476&endID=94479
2017-10-19T23:26:41: INFO : ************* Switching to mozilla-inbound
2017-10-19T23:26:41: DEBUG : End merge handling
2017-10-19T23:26:41: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?changeset=66d3a14132a12d5a871ecffbab5a9f3775b02989
2017-10-19T23:26:41: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?fromchange=66d3a14132a12d5a871ecffbab5a9f3775b02989&tochange=fc9d1811487a2ce8ed2403607fbd168fd2cbc5d9
2017-10-19T23:26:41: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.f5d99e9f3d7bf19c8a222db97bedc924da27fd58.firefox.win64-opt'
2017-10-19T23:26:41: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.fc9d1811487a2ce8ed2403607fbd168fd2cbc5d9.firefox.win64-opt'
2017-10-19T23:26:42: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.367e87978050fe899cec312d700137f80baa074f.firefox.win64-opt'
2017-10-19T23:26:50: INFO : Running mozilla-inbound build built on 2017-09-03 00:35:45.719000, revision 367e8797
2017-10-19T23:26:53: INFO : Launching c:\Users\(removed)\AppData\Local\Temp\tmp8tfyni\firefox\firefox.exe
2017-10-19T23:26:53: INFO : Application command: c:\Users\(removed)\AppData\Local\Temp\tmp8tfyni\firefox\firefox.exe -profile c:\users\(removed)\appdata\local\temp\tmpcsqqaq.mozrunner
2017-10-19T23:26:53: INFO : application_buildid: 20170902233919
2017-10-19T23:26:53: INFO : application_changeset: 367e87978050fe899cec312d700137f80baa074f
2017-10-19T23:26:53: INFO : application_display_name: Nightly
2017-10-19T23:26:53: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-10-19T23:26:53: INFO : application_name: Firefox
2017-10-19T23:26:53: INFO : application_remotingname: firefox
2017-10-19T23:26:53: INFO : application_repository: https://hg.mozilla.org/integration/mozilla-inbound
2017-10-19T23:26:53: INFO : application_vendor: Mozilla
2017-10-19T23:26:53: INFO : application_version: 57.0a1
2017-10-19T23:26:53: INFO : platform_buildid: 20170902233919
2017-10-19T23:26:53: INFO : platform_changeset: 367e87978050fe899cec312d700137f80baa074f
2017-10-19T23:26:53: INFO : platform_repository: https://hg.mozilla.org/integration/mozilla-inbound
2017-10-19T23:26:53: INFO : platform_version: 57.0a1
2017-10-19T23:26:55: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:26:55: INFO : [Parent 208] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:26:55: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-19T23:26:55: INFO : [Child 5136] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:26:55: INFO : [Child 5136] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-19T23:27:47: INFO : Narrowed inbound regression window from [f5d99e9f, fc9d1811] (3 builds) to [367e8797, fc9d1811] (2 builds) (~1 steps left)
2017-10-19T23:27:47: DEBUG : Starting merge handling...
2017-10-19T23:27:47: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?changeset=fc9d1811487a2ce8ed2403607fbd168fd2cbc5d9&full=1
2017-10-19T23:27:47: DEBUG : Found commit message:
Bug 1322746 - Mark windows as passing video fast-upload tests.

MozReview-Commit-ID: EbAitGKID64


2017-10-19T23:27:47: INFO : The bisection is done.
2017-10-19T23:27:47: INFO : Stopped

This if needed: https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=f5d99e9f3d7bf19c8a222db97bedc924da27fd58&tochange=37824bf5c5b08afa7e689fceb935b8f457ebd9eb

Wild.. some of them that I marked as bad were due to the Tab crashing when trying to view the video again. I may run another one going from 57 to 58 as bad to good.

Comment 22

a year ago
I ran another looking for bugfix going from 57 to current.

Log:
2017-10-20T00:07:43: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:07:43: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:07:43: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:07:43: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:07:43: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:07:43: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:07:43: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:07:43: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:07:43: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:07:43: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:07:54: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-20T00:07:54: INFO : [Child 8348, MediaPlayback #2] WARNING: Decoder=2beec800 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:07:54: INFO : [Child 8348, MediaPlayback #1] WARNING: Decoder=2beec800 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:07:54: INFO : [Child 8348, MediaPlayback #2] WARNING: Decoder=2beec800 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:08:13: INFO : Narrowed inbound regression window from [14e6c96c, 246693c0] (29 builds) to [14e6c96c, 974ca2f1] (15 builds) (~3 steps left)
2017-10-20T00:08:13: INFO : Running autoland build built on 2017-10-16 22:50:12.954000, revision 41180d67
2017-10-20T00:08:13: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.25089d5c04f4d579e38ad5694189ccf1f67f5760.firefox.win64-opt'
2017-10-20T00:08:14: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.84afce38f2da6c0db3d92f217919816b8ef110be.firefox.win64-opt'
2017-10-20T00:08:16: INFO : Launching c:\Users\(removed)\AppData\Local\Temp\tmp4sc_hc\firefox\firefox.exe
2017-10-20T00:08:16: INFO : Application command: c:\Users\(removed)\AppData\Local\Temp\tmp4sc_hc\firefox\firefox.exe -profile c:\users\(removed)\appdata\local\temp\tmpnw2ucy.mozrunner
2017-10-20T00:08:16: INFO : application_buildid: 20171016210042
2017-10-20T00:08:16: INFO : application_changeset: 41180d67a395588101beffa0d3396be8a76f9586
2017-10-20T00:08:16: INFO : application_display_name: Nightly
2017-10-20T00:08:16: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-10-20T00:08:16: INFO : application_name: Firefox
2017-10-20T00:08:16: INFO : application_remotingname: firefox
2017-10-20T00:08:16: INFO : application_repository: https://hg.mozilla.org/integration/autoland
2017-10-20T00:08:16: INFO : application_vendor: Mozilla
2017-10-20T00:08:16: INFO : application_version: 58.0a1
2017-10-20T00:08:16: INFO : platform_buildid: 20171016210042
2017-10-20T00:08:16: INFO : platform_changeset: 41180d67a395588101beffa0d3396be8a76f9586
2017-10-20T00:08:16: INFO : platform_repository: https://hg.mozilla.org/integration/autoland
2017-10-20T00:08:16: INFO : platform_version: 58.0a1
2017-10-20T00:08:27: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:08:27: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:08:27: INFO : [GFX1]: Unhandled subdesc type: 3
(bunch of these)
2017-10-20T00:08:34: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:08:34: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:08:34: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:08:34: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:08:34: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:08:45: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-20T00:08:45: INFO : [Child 8516, MediaPlayback #2] WARNING: Decoder=a050a00 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:08:45: INFO : [Child 8516, MediaPlayback #3] WARNING: Decoder=a050a00 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:08:45: INFO : [Child 8516, MediaPlayback #2] WARNING: Decoder=a050a00 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:08:45: INFO : [Child 8516, MediaPlayback #1] WARNING: Decoder=a050a00 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:08:45: INFO : [Child 8516, MediaPlayback #2] WARNING: Decoder=a050a00 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:08:45: INFO : [Child 8516, MediaPlayback #1] WARNING: Decoder=a050a00 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:08:45: INFO : [Child 8516, MediaPlayback #3] WARNING: Decoder=a050a00 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:08:45: INFO : [Child 8516, MediaPlayback #1] WARNING: Decoder=a050a00 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:08:45: INFO : [Child 8516, MediaPlayback #2] WARNING: Decoder=a050a00 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:08:57: INFO : Narrowed inbound regression window from [14e6c96c, 974ca2f1] (15 builds) to [41180d67, 974ca2f1] (8 builds) (~3 steps left)
2017-10-20T00:08:57: INFO : Running autoland build built on 2017-10-17 00:21:38.648000, revision 25089d5c
2017-10-20T00:08:57: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.e34bf13e7042c473bacb2202d0e40393b5f38c9e.firefox.win64-opt'
2017-10-20T00:08:58: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.5594a2f33e1b603be379e84ebd5d5f7ea8d190e9.firefox.win64-opt'
2017-10-20T00:09:00: INFO : Launching c:\Users\(removed)\AppData\Local\Temp\tmpdb9qgu\firefox\firefox.exe
2017-10-20T00:09:00: INFO : Application command: c:\Users\(removed)\AppData\Local\Temp\tmpdb9qgu\firefox\firefox.exe -profile c:\users\(removed)\appdata\local\temp\tmpvox3hv.mozrunner
2017-10-20T00:09:00: INFO : application_buildid: 20171016231544
2017-10-20T00:09:00: INFO : application_changeset: 25089d5c04f4d579e38ad5694189ccf1f67f5760
2017-10-20T00:09:00: INFO : application_display_name: Nightly
2017-10-20T00:09:00: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-10-20T00:09:00: INFO : application_name: Firefox
2017-10-20T00:09:00: INFO : application_remotingname: firefox
2017-10-20T00:09:00: INFO : application_repository: https://hg.mozilla.org/integration/autoland
2017-10-20T00:09:00: INFO : application_vendor: Mozilla
2017-10-20T00:09:00: INFO : application_version: 58.0a1
2017-10-20T00:09:00: INFO : platform_buildid: 20171016231544
2017-10-20T00:09:00: INFO : platform_changeset: 25089d5c04f4d579e38ad5694189ccf1f67f5760
2017-10-20T00:09:00: INFO : platform_repository: https://hg.mozilla.org/integration/autoland
2017-10-20T00:09:00: INFO : platform_version: 58.0a1
2017-10-20T00:09:13: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:09:13: INFO : [GFX1]: Unhandled subdesc type: 3
(bunch of these)
2017-10-20T00:09:20: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:09:20: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:09:20: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:09:30: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-20T00:09:30: INFO : [Child 8860, MediaPlayback #2] WARNING: Decoder=267cd800 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:09:30: INFO : [Child 8860, MediaPlayback #2] WARNING: Decoder=267cd800 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:09:30: INFO : [Child 8860, MediaPlayback #2] WARNING: Decoder=267cd800 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:09:46: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-20T00:09:46: INFO : [Parent 6828, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
2017-10-20T00:09:57: INFO : Narrowed inbound regression window from [41180d67, 974ca2f1] (8 builds) to [25089d5c, 974ca2f1] (4 builds) (~2 steps left)
2017-10-20T00:09:57: INFO : Running autoland build built on 2017-10-17 00:25:02.090000, revision e34bf13e
2017-10-20T00:09:57: DEBUG : using taskcluster route 'gecko.v2.autoland.revision.8f1ac7984b6825c7c71240d48a1fd91a1bcb53fe.firefox.win64-opt'
2017-10-20T00:10:00: INFO : Launching c:\Users\(removed)\AppData\Local\Temp\tmpmeuswh\firefox\firefox.exe
2017-10-20T00:10:00: INFO : Application command: c:\Users\(removed)\AppData\Local\Temp\tmpmeuswh\firefox\firefox.exe -profile c:\users\(removed)\appdata\local\temp\tmpiwekcr.mozrunner
2017-10-20T00:10:00: INFO : application_buildid: 20171016231821
2017-10-20T00:10:00: INFO : application_changeset: e34bf13e7042c473bacb2202d0e40393b5f38c9e
2017-10-20T00:10:00: INFO : application_display_name: Nightly
2017-10-20T00:10:00: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-10-20T00:10:00: INFO : application_name: Firefox
2017-10-20T00:10:00: INFO : application_remotingname: firefox
2017-10-20T00:10:00: INFO : application_repository: https://hg.mozilla.org/integration/autoland
2017-10-20T00:10:00: INFO : application_vendor: Mozilla
2017-10-20T00:10:00: INFO : application_version: 58.0a1
2017-10-20T00:10:00: INFO : platform_buildid: 20171016231821
2017-10-20T00:10:00: INFO : platform_changeset: e34bf13e7042c473bacb2202d0e40393b5f38c9e
2017-10-20T00:10:00: INFO : platform_repository: https://hg.mozilla.org/integration/autoland
2017-10-20T00:10:00: INFO : platform_version: 58.0a1
2017-10-20T00:10:22: INFO : Unable to read VR Path Registry from C:\Users\(removed)\AppData\Local\openvr\openvrpaths.vrpath
2017-10-20T00:10:22: INFO : [Child 4876, MediaPlayback #1] WARNING: Decoder=1d315200 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:10:22: INFO : [Child 4876, MediaPlayback #3] WARNING: Decoder=1d315200 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:10:22: INFO : [Child 4876, MediaPlayback #3] WARNING: Decoder=1d315200 Decode error: file z:/build/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3350
2017-10-20T00:10:22: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:10:22: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:10:22: INFO : [GFX1]: Unhandled subdesc type: 3
(bunch of these)
2017-10-20T00:10:27: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:10:27: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:10:27: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:10:27: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:10:27: INFO : [GFX1]: Unhandled subdesc type: 3
2017-10-20T00:10:34: INFO : Narrowed inbound regression window from [25089d5c, 974ca2f1] (4 builds) to [e34bf13e, 974ca2f1] (2 builds) (~1 steps left)
2017-10-20T00:10:35: DEBUG : Starting merge handling...
2017-10-20T00:10:35: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?changeset=974ca2f1faf5e11c74b81e1793df37a74e048b48&full=1
2017-10-20T00:10:35: DEBUG : Found commit message:
Bug 1409141 - Disable D3D11 YUV buffer copy on Windows 7. r=mattwoodrow

The crashes on Windows 7 appear to occur due to the D3D11 device being used on two different threads simultaneously. We do query the driver to determine if multithreaded access is supported, but they obviously aren't that cluey about it.

MozReview-Commit-ID: GZIk1Zf9xKQ

2017-10-20T00:10:35: INFO : The bisection is done.
2017-10-20T00:10:35: INFO : Stopped

Pushlog: https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=14e6c96c88d47d4225b45fb4bac539b3f6fc7f18&tochange=974ca2f1faf5e11c74b81e1793df37a74e048b48

Anyway, hope this helps get the fix in 58 into 57 before it's released.

Comment 23

a year ago
great thanks, so it looks the fix may already have been uplifted to 57.0b10 which should be released in a couple of hours after it's undergone some testing.

Comment 24

a year ago
Just wanted to confirm that 57beta10 can play that 360 Video fine now (on my system anyway, so far). Whether or not it solved for others, not sure.
(In reply to MarkRH from comment #24)
> Just wanted to confirm that 57beta10 can play that 360 Video fine now (on my
> system anyway, so far). Whether or not it solved for others, not sure.
Thanks for this info!
See Also: → bug 1410771
Should this bug be closed as a duplicate of bug 1409141? Comment 22 says that that bug fixed it.
Flags: needinfo?(jyavenard)
Looks like it...
Status: NEW → RESOLVED
Last Resolved: 5 months ago
Flags: needinfo?(jyavenard)
Resolution: --- → DUPLICATE
Duplicate of bug: 1409141
You need to log in before you can comment on or make changes to this bug.